<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Problem Number38</title>
</head>

	
	
<body>
	
<h2> JavaScript Excercise</h2>
	
	<p> <b> No.38:</b> Write a JavaScript program to check the total marks of a student in various examinations. The student will get A+ grade if the total marks are in the range 89..100 inclusive, if the examination is "Final-exam." the student will get A+ grade and total marks must be greater than or equal to 90. Return true if the student get A+ grade or false otherwise.</p>
	<p> <b> Solution :</b></p>
	
	<div style="border: 1px dashed black; padding: 20px; width: 425px; height: auto;">
	    <p style="margin: 0"> Mathematics: <input type="number" id="num1" placeholder="Marks?" style="width: 80px"></p><br>
		<p style="margin: 0"> Geology: <input type="number" id="num2" placeholder="Marks?" style="width: 80px"></p><br>
		<p style="margin: 0"> Physics: <input type="number" id="num3" placeholder="Marks?" style="width: 80px"></p><br>
		<p style="margin: 0"> Social Sciences: <input type="number" id="num4" placeholder="Marks?" style="width: 80px"></p><br>
		<p style="margin: 0"> Philosophy: <input type="number" id="num5" placeholder="Marks?" style="width: 80px"></p><br>
		<p style="margin: 0"> Chemistry: <input type="number" id="num6" placeholder="Marks?" style="width: 80px"></p><br>
		<p style="margin: 0"> History: <input type="number" id="num7" placeholder="Marks?" style="width: 80px"></p><br>
		<p style="margin: 0"> Biology: <input type="number" id="num8" placeholder="Marks?" style="width: 80px"></p><br>
	  <input type="button" onClick="generate()" name="gen" value="Check If Your Grade is A+ " style="margin-top: 15px;">
	  <pre id="demo"></pre>
	</div>	
	
	<script>
	  function generate() {
		  var mth = + document.getElementById('num1').value;
		  var glg = + document.getElementById('num2').value;
		  var phs = + document.getElementById('num3').value;
		  var scs = + document.getElementById('num4').value;
		  var phi = + document.getElementById('num5').value;
		  var chm = + document.getElementById('num6').value;
		  var hst = + document.getElementById('num7').value;
		  var blg = + document.getElementById('num8').value;
		  if ((mth <= 100 && mth >= 90) &&
			  (glg <= 100 && glg >= 90) &&
			  (phs <= 100 && phs >= 90) &&
			  (scs <= 100 && scs >= 90) &&
			  (phi <= 100 && phi >= 90) &&
			  (chm <= 100 && chm >= 90) &&
			  (hst <= 100 && hst >= 90) &&
			  (blg <= 100 && blg >= 90)) {
			  document.getElementById('demo').innerHTML=
				  "Your Grade is A+"
		  }
		  else if ((mth > 100 || glg > 100 || phs > 100 || scs > 100 ||
					  phi > 100 || chm > 100 || hst > 100 || blg > 100 ) ||
					 (mth < 0 || glg < 0 || phs < 0 || scs < 0 ||
					  phi < 0 || chm < 0 || hst < 0 || blg < 0)) 
			  {
			  document.getElementById('demo').innerHTML=
				  "At Least One Number is incorrect! Double Check them"
		  }
		  else {
			  document.getElementById('demo').innerHTML=
				  " The Grade is Not A+."
		  }
		  
	  }
		
	</script>
</body>
</html>
